"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.InlineList = void 0;
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = require("react");
var _View = require("@instructure/ui-view/lib/View");
var _passthroughProps = require("@instructure/ui-react-utils/lib/passthroughProps.js");
var _safeCloneElement = require("@instructure/ui-react-utils/lib/safeCloneElement.js");
var _testable = require("@instructure/ui-testable/lib/testable.js");
var _InlineListItem = require("./InlineListItem");
var _props = require("./props");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
const _excluded = ["as", "margin", "elementRef"];
var _dec, _class, _InlineList;
/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2015 - present Instructure, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
/**
---
category: components
---

**/
let InlineList = exports.InlineList = (_dec = (0, _testable.testable)(), _dec(_class = (_InlineList = class InlineList extends _react.Component {
  constructor(...args) {
    super(...args);
    this.ref = null;
    this.handleRef = el => {
      const elementRef = this.props.elementRef;
      this.ref = el;
      if (typeof elementRef === 'function') {
        elementRef(el);
      }
    };
  }
  renderChildren() {
    return _react.Children.map(this.props.children, child => {
      if (!child) return; // ignore null, falsy children

      return (0, _safeCloneElement.safeCloneElement)(child, {
        delimiter: this.props.delimiter,
        size: this.props.size,
        spacing: this.props.itemSpacing
      });
    });
  }
  render() {
    const _this$props = this.props,
      as = _this$props.as,
      margin = _this$props.margin,
      elementRef = _this$props.elementRef,
      rest = (0, _objectWithoutProperties2.default)(_this$props, _excluded);
    return (0, _jsxRuntime.jsx)(_View.View, {
      ...(0, _passthroughProps.passthroughProps)(rest),
      as: as,
      margin: margin,
      padding: "0",
      elementRef: this.handleRef,
      display: "block",
      children: this.renderChildren()
    });
  }
}, _InlineList.displayName = "InlineList", _InlineList.propTypes = _props.propTypes, _InlineList.allowedProps = _props.allowedProps, _InlineList.defaultProps = {
  itemSpacing: 'none',
  as: 'ul',
  margin: 'none',
  delimiter: 'none',
  size: 'medium'
}, _InlineList.Item = _InlineListItem.InlineListItem, _InlineList)) || _class);
var _default = exports.default = InlineList;