import { Component, ReactElement } from 'react';
import { InlineListItem } from './InlineListItem';
import type { InlineListProps } from './props';
/**
---
category: components
---

**/
declare class InlineList extends Component<InlineListProps> {
    static propTypes: import("@instructure/shared-types").PropValidators<keyof {
        children?: React.ReactNode;
        as?: "ul" | "ol";
        margin?: import("@instructure/emotion").Spacing;
        size?: "small" | "medium" | "large";
        delimiter?: "none" | "pipe" | "slash" | "arrow";
        itemSpacing?: "none" | "xxx-small" | "xx-small" | "x-small" | "small" | "medium" | "large" | "x-large" | "xx-large";
        elementRef?: (element: Element | null) => void;
    }>;
    static allowedProps: readonly (keyof {
        children?: React.ReactNode;
        as?: "ul" | "ol";
        margin?: import("@instructure/emotion").Spacing;
        size?: "small" | "medium" | "large";
        delimiter?: "none" | "pipe" | "slash" | "arrow";
        itemSpacing?: "none" | "xxx-small" | "xx-small" | "x-small" | "small" | "medium" | "large" | "x-large" | "xx-large";
        elementRef?: (element: Element | null) => void;
    })[];
    static defaultProps: {
        itemSpacing: string;
        as: string;
        margin: string;
        delimiter: string;
        size: string;
    };
    static Item: typeof InlineListItem;
    ref: Element | null;
    handleRef: (el: Element | null) => void;
    renderChildren(): ReactElement<any, string | import("react").JSXElementConstructor<any>>[] | null | undefined;
    render(): import("@emotion/react/jsx-runtime").JSX.Element;
}
export default InlineList;
export { InlineList };
//# sourceMappingURL=index.d.ts.map