import { Component, ReactElement } from 'react';
import { ListItem } from './ListItem';
import type { ListProps } from './props';
/**
---
category: components
---
**/
declare class List extends Component<ListProps> {
    static readonly componentId = "List";
    static propTypes: import("@instructure/shared-types").PropValidators<keyof {
        children?: React.ReactNode;
        as?: "ul" | "ol";
        delimiter?: "none" | "dashed" | "solid";
        isUnstyled?: boolean;
        margin?: import("@instructure/emotion").Spacing;
        size?: "small" | "medium" | "large";
        itemSpacing?: "none" | "xxx-small" | "xx-small" | "x-small" | "small" | "medium" | "large" | "x-large" | "xx-large";
        elementRef?: (element: Element | null) => void;
    }>;
    static allowedProps: readonly (keyof {
        children?: React.ReactNode;
        as?: "ul" | "ol";
        delimiter?: "none" | "dashed" | "solid";
        isUnstyled?: boolean;
        margin?: import("@instructure/emotion").Spacing;
        size?: "small" | "medium" | "large";
        itemSpacing?: "none" | "xxx-small" | "xx-small" | "x-small" | "small" | "medium" | "large" | "x-large" | "xx-large";
        elementRef?: (element: Element | null) => void;
    })[];
    static defaultProps: {
        as: string;
        delimiter: string;
        isUnstyled: boolean;
        size: string;
        itemSpacing: string;
    };
    static Item: typeof ListItem;
    ref: Element | null;
    handleRef: (el: Element | null) => void;
    componentDidMount(): void;
    componentDidUpdate(): void;
    renderChildren(): ReactElement<any, string | import("react").JSXElementConstructor<any>>[] | null | undefined;
    render(): import("@emotion/react/jsx-runtime").JSX.Element;
}
export default List;
export { List, ListItem };
//# sourceMappingURL=index.d.ts.map